aagc.vo

## Class SetChiusuraPianoECareRequest

- java.lang.Object
- - aagc.vo.SetChiusuraPianoECareRequest

-     public class SetChiusuraPianoECareRequest
      extends java.lang.Object

  Classe Java per setChiusuraPianoECareRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="setChiusuraPianoECareRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="CodiceFiscale">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="([a-zA-Z]{6}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{3}[a-zA-Z]{1}|[0-9]{11})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="MotivoChiusura">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(1|4|5|7|8|9|16|17|18|19|23|24|25|26|27|28|29)"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataChiusura">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="descAltraMotivazione" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codiceFiscale`
    `protected java.lang.String` | `dataChiusura`
    `protected java.lang.String` | `descAltraMotivazione`
    `protected java.lang.String` | `motivoChiusura`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetChiusuraPianoECareRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodiceFiscale()` Recupera il valore della proprietà codiceFiscale.
    `java.lang.String` | `getDataChiusura()` Recupera il valore della proprietà dataChiusura.
    `java.lang.String` | `getDescAltraMotivazione()` Recupera il valore della proprietà descAltraMotivazione.
    `java.lang.String` | `getMotivoChiusura()` Recupera il valore della proprietà motivoChiusura.
    `void` | `setCodiceFiscale(java.lang.String value)` Imposta il valore della proprietà codiceFiscale.
    `void` | `setDataChiusura(java.lang.String value)` Imposta il valore della proprietà dataChiusura.
    `void` | `setDescAltraMotivazione(java.lang.String value)` Imposta il valore della proprietà descAltraMotivazione.
    `void` | `setMotivoChiusura(java.lang.String value)` Imposta il valore della proprietà motivoChiusura.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codiceFiscale

          protected java.lang.String codiceFiscale

    - #### motivoChiusura

          protected java.lang.String motivoChiusura

    - #### dataChiusura

          protected java.lang.String dataChiusura

    - #### descAltraMotivazione

          protected java.lang.String descAltraMotivazione

  - ### Constructor Detail

    - #### SetChiusuraPianoECareRequest

          public SetChiusuraPianoECareRequest()

  - ### Method Detail

    - #### getCodiceFiscale

          public java.lang.String getCodiceFiscale()

      Recupera il valore della proprietà codiceFiscale.
      Returns:
        possible object is `String`

    - #### setCodiceFiscale

          public void setCodiceFiscale(java.lang.String value)

      Imposta il valore della proprietà codiceFiscale.
      Parameters:
        `value` - allowed object is `String`

    - #### getMotivoChiusura

          public java.lang.String getMotivoChiusura()

      Recupera il valore della proprietà motivoChiusura.
      Returns:
        possible object is `String`

    - #### setMotivoChiusura

          public void setMotivoChiusura(java.lang.String value)

      Imposta il valore della proprietà motivoChiusura.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataChiusura

          public java.lang.String getDataChiusura()

      Recupera il valore della proprietà dataChiusura.
      Returns:
        possible object is `String`

    - #### setDataChiusura

          public void setDataChiusura(java.lang.String value)

      Imposta il valore della proprietà dataChiusura.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescAltraMotivazione

          public java.lang.String getDescAltraMotivazione()

      Recupera il valore della proprietà descAltraMotivazione.
      Returns:
        possible object is `String`

    - #### setDescAltraMotivazione

          public void setDescAltraMotivazione(java.lang.String value)

      Imposta il valore della proprietà descAltraMotivazione.
      Parameters:
        `value` - allowed object is `String`